[package]
name = "qwerty"
version = "0.1.0"
authors = ["Derek Goddeau <datenstrom@protonmail.com>"]
description = "Password generation library"
documentation = "https://docs.rs/qwerty"
homepage = "https://gitlab.com/starshell/passport/qwerty"
repository = "https://gitlab.com/starshell/passport/qwerty"
license = "MPL-2.0"
readme = "README.md"
keywords = ["password", "passphrase", "generation", "generator", "security"]
categories = ["cryptography"]

[badges]
gitlab = { repository = "starshell/passport/qwerty", branch = "master" }
appveyor = { repository = "starshell/passport/qwerty", branch = "master", service = "gitlab" }
codecov = { repository = "starshell/qwerty", branch = "master", service = "gitlab" }
maintenance = { status = "actively-developed" }

[dependencies]
rand = "0.5"
lazy_static = "1.0"
clippy = {version = "0.0.169", optional = true}

[features]
default = []
strict = ["clippy"]
